- Qt 6.4
- Qt GUI
- C++ Classes
- QMoveEvent
- Qt 6.4.2 Reference Documentation

# QMoveEvent Class

The QMoveEvent class contains event parameters for move events. More...

Header: | #include <QMoveEvent>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Gui) target_link_libraries(mytarget PRIVATE Qt6::Gui)
qmake: | QT += gui
Inherits: | QEvent

- List of all members, including inherited members

## Public Functions

| QMoveEvent(const QPoint &pos, const QPoint &oldPos)
const QPoint & | oldPos() const
const QPoint & | pos() const

## Detailed Description

Move events are sent to widgets that have been moved to a new position relative to their parent.

The event handler QWidget::moveEvent() receives move events.

See also QWidget::move() and QWidget::setGeometry().

## Member Function Documentation

### QMoveEvent::QMoveEvent(const QPoint &pos, const QPoint &oldPos)

Constructs a move event with the new and old widget positions, pos and oldPos respectively.

### const QPoint &QMoveEvent::oldPos() const

Returns the old position of the widget.

### const QPoint &QMoveEvent::pos() const

Returns the new position of the widget. This excludes the window frame for top level widgets.